Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.analysis
Class ActiveOutFileCImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.PhaseCImpl
                  |
                  +--swarm.analysis.ActiveOutFileCImpl

public class ActiveOutFileCImpl
extends PhaseCImpl
implements MessageProbeC, MessageProbeS, ActiveOutFileS, ActiveOutFileC

An object that actively updates its file stream when updated.. This is the file I/O equivalent of ActiveGraph: it takes an OutFile object, a target (datafeed) object, and a selector, which it uses to extract data from the object and send it to the file.

Fields inherited from class swarm.PhaseCImpl
`nextPhase`

Constructor Summary
`ActiveOutFileCImpl()`
`ActiveOutFileCImpl(ActiveOutFile nextPhase)`

Methods implemented by this class for interface swarm.objectbase.MessageProbeC
`create$setProbedSelector, setProbedMethodName, setProbedSelector`

Methods implemented by this class for interface swarm.objectbase.MessageProbeS
`setHideResult`

Methods implemented by this class for interface swarm.analysis.ActiveOutFileC
`setDataFeed, setFileObject, setHDF5Dataset`

Methods implemented by this class for interface swarm.objectbase.ProbeC
`setProbedClass, setProbedObject`

Methods implemented by this class for interface swarm.objectbase.ProbeS
`setSafety, unsetSafety`

Methods implemented by this class for interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods implemented by this class for interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Methods inherited from class swarm.PhaseCImpl
`_copy_creating_phase_to_using_phase`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActiveOutFileCImpl

    public ActiveOutFileCImpl(ActiveOutFile nextPhase)

### ActiveOutFileCImpl

    public ActiveOutFileCImpl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD